.comment-wrapper {
  margin-top: gap(4);

  > .title {
    font-size: $h4-font-size;
    margin: 0;
    padding: 0 gap(4);

    &.comment-form { margin-top: gap(4); }
  }

  > .comment:first-of-type { margin-top: gap(); }

  form.comment-form {
    padding: gap(3) gap(4) gap(4) gap(4);

    textarea { margin-top: gap(1); }

    .filter-wrapper {
      margin-top: gap(2);
      font-size: $font-size-sm;

      .form-type-select select { @extend .form-select, .form-select-sm; }
    }
  }
}

.comment {
  .content {
    @extend %entity-card;
    @extend %entity-card--listing;
    @extend %comment-card;
    position: relative;
    word-break: break-all;
  }

  .permalink {
    @extend .bi, .bi-link-45deg;
    font-size: $font-size-base;
  }

  .text p:last-child { margin-bottom: 0; }

  img, iframe { max-width: 100%; }

  &:hover {
    .actions-toggle { opacity: 1; }
  }

  .actions-toggle {
    all: unset;
    @extend .bi, .bi-grip-horizontal;
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: gap();
    color: $gray-500;
    border-bottom-right-radius: $border-radius;
    border-bottom-left-radius: $border-radius;
    text-align: center;
    cursor: pointer;
    transition: all 300ms ease-in-out;

    @include media-breakpoint-up(lg) {
      opacity: 0;
    }

    &:hover { color: $blue-500; background-color: rgba($gray-300, .38); }

    &::before { vertical-align: 0; }
  }

  .actions {
    @extend %entity-actions;
    padding-bottom: gap();
  }
}

.comment {
  &.is-accepted-answer {
    .content {
      border: 1px solid $teal-300;
      box-shadow: 0 .125rem .25rem rgba($teal, .075), inset 0 0 0 .25rem $teal-100;
      animation: accepted-answer 5s ease-in;

      @include media-breakpoint-up(sm) {
        &:hover {
          box-shadow: 0 .5rem 1rem rgba($teal, .25), inset 0 0 0 .25rem $teal-100;
          border-color: $teal-500;
        }
      }
    }
  }
}

@keyframes accepted-answer {
  0%   { background-color: $teal-100; }
  50%  { background-color: $teal-100; }
  100% { background-color: transparent; }
}

@keyframes new {
  0%   { background-color: $orange-100; }
  50%  { background-color: $orange-100; }
  100% { background-color: transparent; }
}

@keyframes permalink {
  0%   { background-color: $yellow-100; }
  50%  { background-color: $yellow-100; }
  100% { background-color: transparent; }
}

a:target {
  & + .comment.is-accepted-answer .content { animation: accepted-answer 5s ease-in; }
  & + .comment.is-new .content { animation: new 5s ease-in; }
  & + .comment .content { animation: permalink 5s ease-in; }
}
